connectivity-api: connectivityqt::SimsListModel Class Reference

connectivity-api

Classes | Public Types | Signals | Public Member Functions | Protected Attributes | List of all members
connectivityqt::SimsListModel Class Reference

`#include <connectivityqt/sims-list-model.h>`

Inheritance diagram for connectivityqt::SimsListModel:
[legend]
Collaboration diagram for connectivityqt::SimsListModel:
[legend]

## Classes
class | Priv

## Public Types
enum | Roles { RoleIccid = Qt::UserRole + 1, RoleImsi, RolePrimaryPhoneNumber, RoleLocked, RolePresent, RoleMcc, RoleMnc, RolePreferredLanguages, RoleDataRoamingEnabled, RoleSim }

## Signals
void | simsUpdated ()

## Public Member Functions
| UNITY_DEFINES_PTRS (SimsListModel)
| SimsListModel (const internal::SimsListModelParameters &parameters)
| ~SimsListModel ()
int | columnCount (const QModelIndex &parent) const override
int | rowCount (const QModelIndex &parent) const override
QVariant | data (const QModelIndex &index, int role) const override
QHash< int, QByteArray > | roleNames () const override
Sim::SPtr | getSimByPath (const QDBusObjectPath &path) const

## Protected Attributes
std::shared_ptr< Priv > | d

## Member Enumeration Documentation

## ◆ Roles

enum connectivityqt::SimsListModel::Roles

Enumerator
RoleIccid |
RoleImsi |
RolePrimaryPhoneNumber |
RoleLocked |
RolePresent |
RoleMcc |
RoleMnc |
RolePreferredLanguages |
RoleDataRoamingEnabled |
RoleSim |

## Constructor & Destructor Documentation

## ◆ SimsListModel()

connectivityqt::SimsListModel::SimsListModel | ( | const internal::SimsListModelParameters & | parameters | ) |

## ◆ ~SimsListModel()

connectivityqt::SimsListModel::~SimsListModel | ( |  | ) |

## Member Function Documentation

## ◆ columnCount()

int connectivityqt::SimsListModel::columnCount | ( | const QModelIndex & | parent | ) | const
| override

## ◆ data()

QVariant connectivityqt::SimsListModel::data | ( | const QModelIndex & | index,
|  | int | role
| ) |  | const
| override

## ◆ getSimByPath()

Sim::SPtr connectivityqt::SimsListModel::getSimByPath | ( | const QDBusObjectPath & | path | ) | const

## ◆ roleNames()

QHash<int, QByteArray> connectivityqt::SimsListModel::roleNames | ( |  | ) | const
| inlineoverride

## ◆ rowCount()

int connectivityqt::SimsListModel::rowCount | ( | const QModelIndex & | parent | ) | const
| override

## ◆ simsUpdated

void connectivityqt::SimsListModel::simsUpdated | ( |  | ) |
| signal

## ◆ UNITY_DEFINES_PTRS()

connectivityqt::SimsListModel::UNITY_DEFINES_PTRS | ( | SimsListModel |  | ) |

## Member Data Documentation

## ◆ d

std::shared_ptr<Priv> connectivityqt::SimsListModel::d
| protected

The documentation for this class was generated from the following files:

- connectivityqt/sims-list-model.h
- connectivityqt/sims-list-model.cpp